Bug 1419132 - error when clicking operating system under OS trend report
Summary: error when clicking operating system under OS trend report
Keywords:
Status: CLOSED DUPLICATE of bug 1375000
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Trends
Version: 6.2.7
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: Unspecified
Assignee: Ivan Necas
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 16:33 UTC by Chris Duryee
Modified: 2017-04-25 16:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-12 09:36:59 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 15570 0 None None None 2017-02-12 09:29:23 UTC

Description Chris Duryee 2017-02-03 16:33:09 UTC
Description of problem:

If you go to monitor->trends and click operating systems, a report will appear. If you click any of the operating systems listed under the graph, you'll get this error:

2017-02-03 11:30:04 [app] [W] Action failed
 | ActiveRecord::StatementInvalid: PG::Error: ERROR:  invalid input syntax for integer: "all"
 | LINE 1: ...s"."operatingsystem_id" = $1 AND "hosts"."id" IN ('all', '--...
 |                                                              ^
 | : SELECT "hosts".* FROM "hosts"  WHERE "hosts"."organization_id" IN (1) AND "hosts"."type" IN ('Host::Managed') AND "hosts"."operatingsystem_id" = $1 AND "hosts"."id" IN ('all', '---
 | :order: name
 | ')


Version-Release number of selected component (if applicable): 6.2.7


Note You need to log in before you can comment on or make changes to this bug.